Bug 801347 (CVE-2012-1105)

Summary: CVE-2012-1105 php-pear-CAS: Debug log and proxy configuration session data stored in /tmp without proper protection
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: fedora, jrusnack, limburgher
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20120208,reported=20120304,source=oss-security,cvss2=5.0/AV:N/AC:L/Au:N/C:N/I:P/A:N,fedora-all/php-pear-CAS=affected/cvss2=2.1/AV:L/AC:L/Au:N/C:P/I:N/A:N,epel-all/php-pear-CAS=affected/cvss2=2.1/AV:L/AC:L/Au:N/C:P/I:N/A:N,fedora-all/glpi=notaffected,epel-all/glpi=notaffected,fedora-all/moodle=notaffected,epel-all/moodle=notaffected,cwe=CWE-377->CWE-732->CWE-200
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-03-26 17:19:14 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 801349, 801350    
Bug Blocks:    

Description Jan Lieskovsky 2012-03-08 05:42:26 EST
An information disclosure flaw was found in the way phpCAS, the Central Authentication Service client library in PHP language, performed archiving of debug logging file in the default debug configuration and archiving of proxy configuration session data. Both of the files were archived in /tmp directory in files with unsafe permissions. A local attacker could use this flaw to obtain private user attributes and sensitive login tokens by inspecting content of those archived files.

Upstream bug report:
[1] https://github.com/Jasig/phpCAS/issues/22

CVE request and assignment:
[2] http://www.openwall.com/lists/oss-security/2012/03/04/7
[3] http://seclists.org/oss-sec/2012/q1/551

Upstream patches:
[4] https://github.com/Jasig/phpCAS/commit/ecdb43ecb509c98080c34240326d6dc3c1cbe5ec
[5] https://github.com/Jasig/phpCAS/commit/a7efbe354274a7e744e755758964da90b9871cfa
[6] https://github.com/Jasig/phpCAS/commit/bfe6f21b6909778cdaf4245c6fd50eef55d2f8f8
Comment 1 Jan Lieskovsky 2012-03-08 05:44:49 EST
This issue affects the versions of the php-pear-CAS package, as shipped with
Fedora release of 15 and 16. Please schedule an update.

--

This issue affects the versions of the php-pear-CAS package, as shipped with
Fedora EPEL 5 and Fedora EPEL 6. Please schedule an update.
Comment 2 Jan Lieskovsky 2012-03-08 05:45:34 EST
Created php-pear-CAS tracking bugs for this issue

Affects: fedora-all [bug 801349]
Affects: epel-all [bug 801350]
Comment 3 Jan Lieskovsky 2012-03-08 06:07:22 EST
Also, the versions of the glpi package, as shipped with Fedora release of 15, 16, Fedora EPEL 5 and EPEL 6 use system version of php-pear-CAS library:

* Thu May 20 2010 Remi Collet <Fedora@FamilleCollet.com> - 0.72.4-3.svn11497
- use system phpCAS instead of bundled copy
- minor bug fixes from SVN

and thus are not affected by this issue once the deficiency in php-pear-CAS package has got addressed.
Comment 4 Jan Lieskovsky 2012-03-08 06:16:33 EST
The versions of the moodle package, as shipped with Fedora release of 15, 16, Fedora EPEL 5 and EPEL 6 are also using system version of the php-pear-CAS package:

EPEL-5 case:
* Fri Aug 20 2010 Jon Ciesla <limb@jcomserv.net> - 1.8.13-2
- Switch to system php-pear-CAS, BZ 577467, 620772.

F-16 case:
* Thu Aug 19 2010 Jon Ciesla <limb@jcomserv.net> - 1.9.9-2
- Switch to system php-pear-CAS, BZ 577467, 620772.
- Patching htmlpurifier, BZ 624754.

and as such are not vulnerable to this issue, once this flaw has been corrected in php-pear-CAS package.
Comment 5 Fedora Update System 2012-03-30 23:07:02 EDT
php-pear-CAS-1.3.0-2.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-03-30 23:11:26 EDT
php-pear-CAS-1.3.0-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2012-03-31 14:26:28 EDT
php-pear-CAS-1.3.0-2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-03-31 14:26:52 EDT
php-pear-CAS-1.3.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-04-11 22:13:29 EDT
php-pear-CAS-1.3.0-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.